Bug 1124475 - Problems using persistences with human tasks in OSGi
Summary: Problems using persistences with human tasks in OSGi
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER1
: ---
Assignee: Kris Verlaenen
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks: 1115481
TreeView+ depends on / blocked
 
Reported: 2014-07-29 14:47 UTC by Kris Verlaenen
Modified: 2019-01-01 02:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4400 Critical Resolved Problems using persistences with human tasks in OSGi 2014-09-05 09:05:43 UTC

Description Kris Verlaenen 2014-07-29 14:47:18 UTC
Product BZ for JBPM-4400: Problems using persistences with human tasks in OSGi

Comment 2 Maciej Swiderski 2014-08-07 15:47:07 UTC
all commits are back ported to 6.0.x:

droolsjbpm-knowledge
6.0.x:
https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/a7e27f9f5db793c79b25ca41b1ec0548644df4cb
https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/6d70f28be21648fe4f4c4cc742de036a07c1651d
https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/856ce262e0880a6f0664bc05d5dce4870382a6cc
https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/423c41652c02039b1b9efa3f92d03ca23bb7a159

drools:
6.0.x:
https://github.com/droolsjbpm/drools/commit/a73ba51729e9964f1347c63ae8ce1185e460b183

jbpm
6.0.x:
https://github.com/droolsjbpm/jbpm/commit/b1236e30bd122110e999c2d33d3d95a6f87074ac
https://github.com/droolsjbpm/jbpm/commit/e450a99db1db6854cba1120a50d80fab9553e9ce
https://github.com/droolsjbpm/jbpm/commit/ef226598b8a2749bbc91303ce19d84ad465b4103
https://github.com/droolsjbpm/jbpm/commit/84e4b1deed2392662e244ba0c5e4a012552f8968
https://github.com/droolsjbpm/jbpm/commit/8ad920ac6d61e68521b25c8d8b9c83776f74a6af
https://github.com/droolsjbpm/jbpm/commit/9bfd030851c90a2b943f0ee145b8b8cef8a60db2
https://github.com/droolsjbpm/jbpm/commit/edb6cb5688aec5f79da1d9b46370ca60267b66fc

droolsjbpm-integration
6.0.x:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/b838b41845a69fbcbf8b78a16cdac68b8a24599a
https://github.com/droolsjbpm/droolsjbpm-integration/commit/4f0b605509928dbe2723e836de612e2680b2adf6
https://github.com/droolsjbpm/droolsjbpm-integration/commit/6f1fe4a2df3ab887820ace8ca5b3e9ab5b624574
https://github.com/droolsjbpm/droolsjbpm-integration/commit/51af7193bae7808c924ae4e1bf6d7269b4bdc9f1
https://github.com/droolsjbpm/droolsjbpm-integration/commit/4be2ba79b2e23ccbc0675019c9251141231e0cec
https://github.com/droolsjbpm/droolsjbpm-integration/commit/3eedb9f1341c75d8a651899d1a38e754be72ef9b

jbpm-console-ng
6.0.x:
https://github.com/droolsjbpm/jbpm-console-ng/commit/dd4f57c3700d311833b4df9ee9d5b10c1193ab3a


kie-wb-distributions
6.0.x:
https://github.com/droolsjbpm/kie-wb-distributions/commit/6b9a83010a08036483e57c166177eb35aef965d0


There are very important things to be aware of about these commits:
1. it changed the way human task variables are marshaled and unmashaled thus it requires special test that will create tasks with variables with previous version of the software and then same task is read and completed with new version that includes this changes
2. due to OSGi fixes another split package problem was found and resulted in change of package for two classes:
- BAMTaskSummaryImpl that is an entity so it requires change in persistence.xml
- BAMTaskEventListener that is responsible for logging all events consumed by BAM

while the first one might affect users who embedded jbpm with bam in their application then second one is most likely used only by business central

Comment 3 JBoss JIRA Server 2014-08-08 09:18:52 UTC
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-4400 to Resolved

Comment 4 Petr Široký 2014-08-21 08:47:32 UTC
Fix for this issue may potentially break existing deployments when users are using own persistence.xml files and they reference the BAMTaskSummaryImpl class. They need to change the package name.

I think we _have to_ clearly document this in the release notes.

We also need to fix the quickstarts, because they are using own persistence.xml file as well. See http://git.app.eng.bos.redhat.com/git/jboss-brms-quickstarts.git/tree/tasks-bpmsuite/src/test/resources/META-INF/persistence.xml?h=6.0.x#n68

Comment 5 Petr Široký 2014-08-21 11:56:33 UTC
I have create PR with the fix in quickstarts: https://github.com/jboss-developer/jboss-brms-quickstarts/pull/16

Comment 8 Tomas Rohovsky 2014-08-27 14:35:42 UTC
The issue cannot be verified in the FSW as it does not support human tasks. Words of David Ward: "(04:26:59 PM) errantepiphany: No, Human Tasks are not supported in the FSW product." Moreover, see "Persistence with jBPM is not working" in https://community.jboss.org/wiki/SwitchYardOnKaraf. I think, this should be verified by BPMS team.

Comment 9 kconner 2014-08-27 15:40:30 UTC
FSW does not support Human Tasks for user applications but it is used internally, specifically as part of the DTGov project for the Governance business processes.

Comment 10 Jiri Svitak 2014-09-03 15:03:36 UTC
Verified in BPMS 6.0.3.ER1 using the Charles Moulliard's example
https://github.com/cmoulliard/droolsjbpm-osgi-examples/tree/master/spring-jbpm-persistence
deployed on JBoss Fuse 6.1.0.redhat-379.

I built the example with BPMS 6.0.3.ER1 and deployed the example to Fuse. The example process worked correctly.

This issue was difficult to verify and special thanks goes to Charles Moulliard, Jiri Sedlacek and Robert Cernich. Thank you!


Note You need to log in before you can comment on or make changes to this bug.